<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <title> pcb-rnd rosetta hello world (menu, log) </title>
  <meta http-equiv="Content-Type" content="text/html;charset=us-ascii">
</head>
<body>
<!-- ******* DO NOT EDIT THIS FILE, it is generated by rosetta_genpages.sh ******* -->
&lt;-- back to the <a href="../index.html">index of Rosetta examples</a>
<h1>hello world (menu, log)</h1>
Create a new menu + action hello() that prints "Hello world!" in the message log.
<H2> Example implementations </H2>
<a href="ex.awk">awk</a>
 | 
<a href="ex.lua">lua</a>
 | 
<a href="ex.py">py</a>
 | 
<a href="ex.tcl">tcl</a>
<h2> Explanation, step by step </h2>
Create a function 
<i>hello</i>
 that will be registered as an action. The name of the action and the function is always the same. Action names shall be lowercase. 
<p> When the action is called, use 
<i>message</i>
 to append a log message. 
<p> In the "main" section of the script, register the action using fgw_func_reg(). Then save the script cookie and register a new submenu using it. Registering the submenu with this cookie makes pcb-rnd auto-remove the menu when the script is unloaded. 
<p> The menu path starts with /main_menu, because it is also possible to insert menu entries in popups.  
</body>
</html>
